# $Revision: 1.93 $, $Date: 2009/03/05 16:33:19 $
#
# Conditional build:
%bcond_with	tests		# enable tests (whatever they check)
%bcond_without	gnome		# disable all GNOME components (gnomevfs, gnome, gnomeui)
%bcond_without	kerberos	# disable krb5 support
%bcond_with	mozldap		# build with system mozldap
#
%define		rel	1
%define		firefox_ver	3.0.7
Summary:	XULRunner - Mozilla Runtime Environment for XUL+XPCOM applications
Summary(pl.UTF-8):	XULRunner - środowisko uruchomieniowe Mozilli dla aplikacji XUL+XPCOM
Name:		xulrunner
Version:	1.9.0.7
Release:	%{rel}
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications
# Source tarball for xulrunner is in fact firefox tarball (checked on 1.9), so lets use it
# instead of waiting for mozilla to copy file on ftp.
Source0:	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_ver}/source/firefox-%{firefox_ver}-source.tar.bz2
# Source0-md5:	9875c9237b532009df8e91c3785539a3
Patch0:		%{name}-install.patch
Patch1:		%{name}-rpath.patch
Patch2:		%{name}-mozldap.patch
Patch3:		%{name}-configures.patch
Patch4:		%{name}-gcc3.patch
Patch5:		%{name}-nss_cflags.patch
Patch6:		%{name}-paths.patch
Patch7:		%{name}-pc.patch
Patch8:		%{name}-prefs.patch
Patch9:		%{name}-ssl_oldapi.patch
URL:		http://developer.mozilla.org/en/docs/XULRunner
%{?with_gnome:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	cairo-devel >= 1.6.0
BuildRequires:	curl-devel
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	freetype-devel >= 1:2.1.8
%{?with_gnome:BuildRequires:	gnome-vfs2-devel >= 2.0}
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	hunspell-devel >= 1.2.3
%if "%{pld_release}" == "ac"
%{?with_kerberos:BuildRequires:	heimdal-devel >= 0.7.1}
%else
%{?with_kerberos:BuildRequires:	krb5-devel}
%endif
BuildRequires:	lcms-devel >= 1.17
BuildRequires:	libIDL-devel >= 0.8.0
%{?with_gnome:BuildRequires:	libgnome-devel >= 2.0}
%{?with_gnome:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng(APNG)-devel >= 0.10
BuildRequires:	libpng-devel >= 1.2.7
BuildRequires:	libstdc++-devel
%{?with_mozldap:BuildRequires:	mozldap-devel >= 6.0}
BuildRequires:	nspr-devel >= 1:4.7.1
BuildRequires:	nss-devel >= 1:3.12-2
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	perl-modules >= 1:5.6
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.5.4
%if "%{pld_release}" == "ac"
BuildRequires:	xcursor-devel
BuildRequires:	xft-devel >= 2.1-2
%else
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
%endif
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.3
Requires(post):	mktemp >= 1.5-18
Requires:	%{name}-libs = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	myspell-common
Requires:	nspr >= 1:4.7.1
Requires:	nss >= 1:3.12-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_cpp	-D_FORTIFY_SOURCE=[0-9]+

%define		specflags	-fno-strict-aliasing

# no Provides from private modules (don't use %{name} here, it expands to each subpackage name...)
%define		_noautoprovfiles	%{_libdir}/xulrunner/components %{_libdir}/xulrunner/plugins
# no need to require them (we have strict deps for these)
%define		_noautoreq		libmozjs.so libxpcom.so libxul.so

%description
XULRunner is a Mozilla runtime package that can be used to bootstrap
XUL+XPCOM applications that are as rich as Firefox and Thunderbird. It
will provide mechanisms for installing, upgrading, and uninstalling
these applications. XULRunner will also provide libxul, a solution
which allows the embedding of Mozilla technologies in other projects
and products.

%description -l pl.UTF-8
XULRunner to pakiet uruchomieniowy Mozilli, którego można użyć do
uruchamiania aplikacji XUL+XPCOM, nawet takich jak Firefox czy
Thunderbird. Udostępni mechanizmy do instalowania, uaktualniania i
odinstalowywania tych aplikacji. XULRunner będzie także dostarczał
libxul - rozwiązanie umożliwiające osadzanie technologii Mozilli w
innych projektach i produktach.

%package libs
Summary:	XULRunner shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone XULRunnera
Group:		X11/Libraries
Requires:	cairo >= 1.6.0
Requires:	gtk+2 >= 2:2.10.0
Requires:	libpng >= 1.2.7
Requires:	libpng(APNG) >= 0.10
Requires:	pango >= 1:1.10.0
Requires:	sqlite3 >= 3.5.4

%description libs
XULRunner shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone XULRunnera.

%package devel
Summary:	Headers for developing programs that will use XULRunner
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów używających XULRunnera
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	nspr-devel >= 1:4.7.1
Requires:	nss-devel >= 1:3.12-2
Obsoletes:	mozilla-devel
Obsoletes:	mozilla-firefox-devel
Obsoletes:	seamonkey-devel

%description devel
XULRunner development package.

%description devel -l pl.UTF-8
Pakiet programistyczny XULRunnera.

%package gnome
Summary:	GNOME support package for XULRunner
Summary(pl.UTF-8):	Pakiet wspierający integrację XULRunnera z GNOME
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME support package for XULRunner.

%description gnome -l pl.UTF-8
Pakiet wspierający integrację XULRunnera z GNOME.

%prep
%setup -qc
cd mozilla
rm -r nsprpub
# avoid using included headers (-I. is before HUNSPELL_CFLAGS)
rm extensions/spellcheck/hunspell/src/{*.hxx,hunspell.h}
# hunspell needed for factory including mozHunspell.h
echo 'LOCAL_INCLUDES += $(MOZ_HUNSPELL_CFLAGS)' >> extensions/spellcheck/src/Makefile.in

%patch0 -p1
%patch1 -p1
%{?with_mozldap:%patch2 -p1}
%patch3 -p1
%if "%{cc_version}" < "3.4"
%patch4 -p2
%endif
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
cd mozilla
cp -f %{_datadir}/automake/config.* build/autoconf

cat << 'EOF' > .mozconfig
. $topsrcdir/xulrunner/config/mozconfig

# Options for 'configure' (same as command-line options).
ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --disable-optimize
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
ac_add_options --enable-debugger-info-modules
ac_add_options --enable-crash-on-assert
%else
ac_add_options --disable-debug
ac_add_options --disable-logging
ac_add_options --enable-optimize="%{rpmcflags}"
%endif
ac_add_options --disable-strip
ac_add_options --disable-strip-libs
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif
%if %{with gnome}
ac_add_options --enable-gnomevfs
ac_add_options --enable-gnomeui
%else
ac_add_options --disable-gnomevfs
ac_add_options --disable-gnomeui
%endif
ac_add_options --disable-freetype2
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-updater
ac_add_options --enable-xinerama
ac_add_options --enable-default-toolkit=cairo-gtk2
ac_add_options --enable-system-cairo
ac_add_options --enable-system-hunspell
ac_add_options --enable-system-lcms
ac_add_options --enable-system-sqlite
ac_add_options --enable-xft
ac_add_options --with-distribution-id=org.pld-linux
ac_add_options --with-system-bz2
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}

ac_add_options --disable-pedantic
ac_add_options --disable-xterm-updates
ac_add_options --enable-extensions="default,cookie,permissions,spellcheck"
ac_add_options --enable-xprint
ac_add_options --with-pthreads
ac_add_options --with-x
ac_cv_visibility_pragma=no
EOF

%{__make} -j1 -f client.mk build \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
cd mozilla

%{__make} -C xulrunner/installer install \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	INSTALL_SDK=1 \
	PKG_SKIP_STRIP=1

install -d \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/components \
	$RPM_BUILD_ROOT%{_sbindir}

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/icons $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/modules $RPM_BUILD_ROOT%{_datadir}/%{name}/modules
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/modules $RPM_BUILD_ROOT%{_libdir}/%{name}/modules
ln -s ../../share/%{name}/icons $RPM_BUILD_ROOT%{_libdir}/%{name}/icons
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries

# files created by regxpcom
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/compreg.dat
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/xpti.dat

install dist/bin/regxpcom $RPM_BUILD_ROOT%{_libdir}/%{name}

%{__make} -C build/unix install \
	DESTDIR=$RPM_BUILD_ROOT

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins

# remove unecessary stuff
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/xulrunner

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xulrunner
%attr(755,root,root) %{_libdir}/%{name}/xulrunner-bin

%{_sysconfdir}/gre.d

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/modules
%{_libdir}/%{name}/res

%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/components

%{_libdir}/%{name}/LICENSE
%{_libdir}/%{name}/README.txt
%{_libdir}/%{name}/dependentlibs.list
%{_libdir}/%{name}/platform.ini

%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so

%attr(755,root,root) %{_libdir}/%{name}/libjemalloc.so

%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(755,root,root) %{_libdir}/%{name}/mozilla-xremote-client

%attr(755,root,root) %{_libdir}/%{name}/components/libdbusservice.so
%attr(755,root,root) %{_libdir}/%{name}/components/libimgicon.so

%{_libdir}/%{name}/components/accessibility*.xpt
%{_libdir}/%{name}/components/alerts.xpt
%{_libdir}/%{name}/components/appshell.xpt
%{_libdir}/%{name}/components/appstartup.xpt
%{_libdir}/%{name}/components/autocomplete.xpt
%{_libdir}/%{name}/components/autoconfig.xpt
%{_libdir}/%{name}/components/caps.xpt
%{_libdir}/%{name}/components/chardet.xpt
%{_libdir}/%{name}/components/chrome.xpt
%{_libdir}/%{name}/components/commandhandler.xpt
%{_libdir}/%{name}/components/commandlines.xpt
%{_libdir}/%{name}/components/composer.xpt
%{_libdir}/%{name}/components/content_*.xpt
%{_libdir}/%{name}/components/contentprefs.xpt
%{_libdir}/%{name}/components/cookie.xpt
%{_libdir}/%{name}/components/directory.xpt
%{_libdir}/%{name}/components/docshell.xpt
%{_libdir}/%{name}/components/dom*.xpt
%{_libdir}/%{name}/components/downloads.xpt
%{_libdir}/%{name}/components/editor.xpt
%{_libdir}/%{name}/components/embed_base.xpt
%{_libdir}/%{name}/components/extensions.xpt
%{_libdir}/%{name}/components/exthandler.xpt
%{_libdir}/%{name}/components/exthelper.xpt
%{_libdir}/%{name}/components/fastfind.xpt
%{_libdir}/%{name}/components/feeds.xpt
%{_libdir}/%{name}/components/filepicker.xpt
%{_libdir}/%{name}/components/find.xpt
%{_libdir}/%{name}/components/gfx*.xpt
%{_libdir}/%{name}/components/htmlparser.xpt
%{_libdir}/%{name}/components/imgicon.xpt
%{_libdir}/%{name}/components/imglib2.xpt
%{_libdir}/%{name}/components/inspector.xpt
%{_libdir}/%{name}/components/intl.xpt
%{_libdir}/%{name}/components/jar.xpt
%{_libdir}/%{name}/components/js*.xpt
%{_libdir}/%{name}/components/layout*.xpt
%{_libdir}/%{name}/components/locale.xpt
%{_libdir}/%{name}/components/loginmgr.xpt
%{_libdir}/%{name}/components/lwbrk.xpt
%{_libdir}/%{name}/components/mimetype.xpt
%{_libdir}/%{name}/components/moz*.xpt
%{_libdir}/%{name}/components/necko*.xpt
%{_libdir}/%{name}/components/oji.xpt
%{_libdir}/%{name}/components/parentalcontrols.xpt
%{_libdir}/%{name}/components/pipboot.xpt
%{_libdir}/%{name}/components/pipnss.xpt
%{_libdir}/%{name}/components/pippki.xpt
%{_libdir}/%{name}/components/places.xpt
%{_libdir}/%{name}/components/plugin.xpt
%{_libdir}/%{name}/components/pref.xpt
%{_libdir}/%{name}/components/prefetch.xpt
%{_libdir}/%{name}/components/profile.xpt
%{_libdir}/%{name}/components/proxyObjInst.xpt
%{_libdir}/%{name}/components/rdf.xpt
%{_libdir}/%{name}/components/satchel.xpt
%{_libdir}/%{name}/components/saxparser.xpt
%{_libdir}/%{name}/components/shistory.xpt
%{_libdir}/%{name}/components/spellchecker.xpt
%{_libdir}/%{name}/components/storage.xpt
%{_libdir}/%{name}/components/toolkitprofile.xpt
%{_libdir}/%{name}/components/toolkitremote.xpt
%{_libdir}/%{name}/components/txmgr.xpt
%{_libdir}/%{name}/components/txtsvc.xpt
%{_libdir}/%{name}/components/uconv.xpt
%{_libdir}/%{name}/components/unicharutil.xpt
%{_libdir}/%{name}/components/update.xpt
%{_libdir}/%{name}/components/uriloader.xpt
%{_libdir}/%{name}/components/urlformatter.xpt
%{_libdir}/%{name}/components/webBrowser_core.xpt
%{_libdir}/%{name}/components/webbrowserpersist.xpt
%{_libdir}/%{name}/components/webshell_idls.xpt
%{_libdir}/%{name}/components/widget.xpt
%{_libdir}/%{name}/components/windowds.xpt
%{_libdir}/%{name}/components/windowwatcher.xpt
%{_libdir}/%{name}/components/x*.xpt
%{_libdir}/%{name}/components/zipwriter.xpt

%{_libdir}/%{name}/components/FeedProcessor.js
%{_libdir}/%{name}/components/jsconsole-clhandler.js
%{_libdir}/%{name}/components/nsAddonRepository.js
%{_libdir}/%{name}/components/nsBadCertHandler.js
%{_libdir}/%{name}/components/nsBlocklistService.js
%{_libdir}/%{name}/components/nsContentDispatchChooser.js
%{_libdir}/%{name}/components/nsContentPrefService.js
%{_libdir}/%{name}/components/nsDefaultCLH.js
%{_libdir}/%{name}/components/nsDictionary.js
%{_libdir}/%{name}/components/nsDownloadManagerUI.js
%{_libdir}/%{name}/components/nsExtensionManager.js
%{_libdir}/%{name}/components/nsFilePicker.js
%{_libdir}/%{name}/components/nsHandlerService.js
%{_libdir}/%{name}/components/nsHelperAppDlg.js
%{_libdir}/%{name}/components/nsLivemarkService.js
%{_libdir}/%{name}/components/nsLoginInfo.js
%{_libdir}/%{name}/components/nsLoginManager.js
%{_libdir}/%{name}/components/nsLoginManagerPrompter.js
%{_libdir}/%{name}/components/nsProgressDialog.js
%{_libdir}/%{name}/components/nsProxyAutoConfig.js
%{_libdir}/%{name}/components/nsResetPref.js
%{_libdir}/%{name}/components/nsTaggingService.js
%{_libdir}/%{name}/components/nsTryToClose.js
%{_libdir}/%{name}/components/nsURLFormatter.js
%{_libdir}/%{name}/components/nsUpdateService.js
%{_libdir}/%{name}/components/nsWebHandlerApp.js
%{_libdir}/%{name}/components/nsXULAppInstall.js
%{_libdir}/%{name}/components/nsXmlRpcClient.js
%{_libdir}/%{name}/components/pluginGlue.js
%{_libdir}/%{name}/components/storage-Legacy.js
%{_libdir}/%{name}/components/txEXSLTRegExFunctions.js

# do not use *.dat here, so check-files can catch any new files
# (and they won't be just silently placed empty in rpm)
%ghost %{_libdir}/%{name}/components/compreg.dat
%ghost %{_libdir}/%{name}/components/xpti.dat

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/res

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libmozjs.so
%attr(755,root,root) %{_libdir}/%{name}/libxpcom.so
%attr(755,root,root) %{_libdir}/%{name}/libxul.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/regxpcom
%attr(755,root,root) %{_bindir}/xpcshell
%attr(755,root,root) %{_bindir}/xpidl
%attr(755,root,root) %{_bindir}/xpt_dump
%attr(755,root,root) %{_bindir}/xpt_link
%attr(755,root,root) %{_libdir}/%{name}/regxpcom
%attr(755,root,root) %{_libdir}/%{name}/xpcshell
%attr(755,root,root) %{_libdir}/%{name}/xpidl
%attr(755,root,root) %{_libdir}/%{name}/xpt_dump
%attr(755,root,root) %{_libdir}/%{name}/xpt_link
%attr(755,root,root) %{_libdir}/%{name}/xulrunner-stub
%{_includedir}/%{name}
%{_datadir}/idl/%{name}
%{_libdir}/%{name}-sdk
%{_pkgconfigdir}/libxul.pc
%{_pkgconfigdir}/libxul-embedding.pc
%{_pkgconfigdir}/libxul-embedding-unstable.pc
%{_pkgconfigdir}/libxul-unstable.pc
%{_pkgconfigdir}/mozilla-js.pc
%{_pkgconfigdir}/mozilla-plugin.pc
%{_pkgconfigdir}/mozilla-gtkmozembed.pc
%{_pkgconfigdir}/mozilla-gtkmozembed-embedding.pc

%if %{with gnome}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/components/libmozgnome.so
%attr(755,root,root) %{_libdir}/%{name}/components/libnkgnomevfs.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xulrunner.spec,v $
Revision 1.93  2009/03/05 16:33:19  arekm
- up to 1.9.0.7

Revision 1.92  2009/02/04 23:26:31  hawk
- CVE references

Revision 1.91  2009/02/04 22:33:19  arekm
- up to 1.9.0.6, fixes CVE-2009-0353, CVE-2009-0354, CVE-2009-0355,
  CVE-2009-0356, CVE-2009-0357, CVE-2009-0358

Revision 1.90  2008/12/18 17:47:29  arekm
- rel 2; drop obsolete patch

Revision 1.89  2008/12/18 16:25:29  glen
- prep for ac

Revision 1.88  2008/12/17 10:47:52  hawk
- CVE references

Revision 1.87  2008/12/17 10:29:11  hawk
- updated to 1.9.0.5, fixes CVE-2008-5500, CVE-2008-5501, CVE-2008-5502,
  CVE-2008-5505, CVE-2008-5506, CVE-2008-5507, CVE-2008-5508,
  CVE-2008-5510, CVE-2008-5511, CVE-2008-5512, CVE-2008-5513

Revision 1.86  2008/11/29 21:18:45  arekm
- rel 2; upstream fix that should prevent some hangs

Revision 1.85  2008/11/13 12:04:51  hawk
- updated to 1.9.0.4, fixes CVE-2008-4582, CVE-2008-5015, CVE-2008-5016,
  CVE-2008-5017, CVE-2008-5019, CVE-2008-0017, CVE-2008-5021, CVE-2008-5022,
  CVE-2008-5023, CVE-2008-5024

Revision 1.84  2008/10/16 17:43:13  glen
- myspell in previous commit, and closes then LP#272979

Revision 1.83  2008/10/16 16:57:14  sls
- R: myspell-common (symlink %{_libdir}/name/dictionaries -> %{_datadir}/myspell)
- rel. 2

Revision 1.82  2008/09/29 09:32:44  hawk
- updated to 1.9.0.3

Revision 1.81  2008/09/24 15:48:38  hawk
- updated to 1.9.0.2, fixes CVE-2008-3837, CVE-2008-4058, CVE-2008-4059,
  CVE-2008-4060, CVE-2008-4061, CVE-2008-4062, CVE-2008-4063, CVE-2008-4064,
  CVE-2008-4065, CVE-2008-4066, CVE-2008-4067, CVE-2008-4068

Revision 1.80  2008/08/17 15:18:09  wrobell
- rel. 2

Revision 1.79  2008/08/01 18:48:51  arekm
- filterout fortify flags from equation (too many bugs in the code that are catched by fortify)

Revision 1.78  2008/07/23 13:24:22  hawk
- support old SSL behavior to allow using it in xul based and embedded applications

Revision 1.77  2008/07/23 09:39:30  hawk
- updated to 1.9.0.1, fixes CVE-2008-2785, CVE-2008-2933, CVE-2008-2934
- use firefox tarball, official xulrunner 1.9 source is just renamed firefox source

Revision 1.76  2008/07/22 05:44:13  qboosh
- APNG deps

Revision 1.75  2008/07/21 19:51:20  qboosh
- ugh... just don't use name macro in _noauto*files; works now

Revision 1.74  2008/07/21 19:33:16  qboosh
- use system hunspell and lcms
- _noautoprovfiles for private modules
  (works for base package, but not -gnome - rpm problem?)

Revision 1.73  2008/07/21 16:44:55  qboosh
- options cleanup (ldap is enabled by default)
- xulrunner is the only one true libxpcom provider - dropped _noautoprov here

Revision 1.72  2008/07/21 16:29:44  qboosh
- updated deps

Revision 1.71  2008/07/20 17:42:10  qboosh
- updated nspr deps (4.7 now)
- separated -gnome subpackage; main no longer requires GNOME libraries now;
  the only difference in main package between gnome and non-gnome build is
  GNOME support in libimgicon.so, implemented by dlopening of libgnome-2,
  libgnomeui-2 and libgnomevfs-2 - so it can be safely used without GNOME

Revision 1.70  2008/07/10 08:27:35  blues
- rel.6

Revision 1.69  2008/07/08 10:41:26  megabajt
- updated -pc.patch
- release 5

Revision 1.68  2008/06/27 13:59:13  pluto
- BR: curl-devel (for crash reporter), release 4.

Revision 1.67  2008/06/27 13:21:23  pluto
- fix mozilla-plugin.pc (bug exposed by gcc plugin), release 3.

Revision 1.66  2008/06/22 12:13:15  hawk
- don't require so damn much clicks when XUL application wants to enter
  SSL site protected with self-signed or otherwise invalid SSL certificate

Revision 1.65  2008/06/21 09:48:30  hawk
- create and package GRE configs, required by XUL applications compiled
  with xulrunner SDK

Revision 1.64  2008/06/20 23:15:14  hawk
- include pkgconfig files in devel package
- release 2

Revision 1.63  2008/06/20 21:59:57  hawk
- use 'make install' to install full and complete xulrunner environment

Revision 1.62  2008/06/20 16:11:03  hawk
- release 1.1, xulrunner sdk isn't properly packages and its required
  to build firefox with system xulrunner

Revision 1.61  2008/06/19 21:00:49  hawk
- killed xulrunner-chrome+xpcom-generate, it seems obsolete, firefox 3
  have "-register" option that replaces this script, xulrunner doesn't,
- killed subver in release, its not CVS snapshot anymore
- works for me, release 1

Revision 1.60  2008/06/19 18:36:41  hawk
- BR sqlite3-devel, build with system sqlite3
- fixed path in rm of unecessary file

Revision 1.59  2008/06/19 17:38:40  hawk
- removed system_nss bcond, xulrunner properly links with system nss if
  its >= 3.12.0, R/BR nss release with fixed nss-config and mozilla.pc
- moved binaries back to %{_libdir}/xulrunner, created symlinks in
  %{_bindir}, now it works properly (xulrunner looks for its data in
  directory where binaries exists)
- builds and works, but TODO isn't empty yet

Revision 1.58  2008/06/19 06:17:02  glen
- nss ver bumped to 3.12.0 (thx or sth to freetz), no time to check, have to go

Revision 1.57  2008/06/18 20:37:26  glen
- as long system nss is not used the nss library deps should not be provided nor required outside (some applies to firefox3 package)

Revision 1.56  2008/06/18 20:28:36  glen
- damn need to resolve the controller caching issues here in toothy (10024380 ahci ATI Technologies Inc|SB600 Non-Raid-5 SATA)

Revision 1.55  2008/06/18 20:19:38  glen
- use the official tarball
- remove ldap _noautoreq (wrong version and should be in mozldap instead)

Revision 1.54  2008/06/18 20:09:14  qboosh
- there is official tarball now

Revision 1.53  2008/06/18 20:07:20  hawk
- blah, fixed filename in TODO, I really need more sleep these days

Revision 1.52  2008/06/18 19:59:18  glen
- be gone silly typo

Revision 1.51  2008/06/18 19:49:12  hawk
- added TODO

Revision 1.50  2008/06/18 18:53:32  hawk
- rpath is back
- bconded mozldap (it builds w/o it, maybe this BR is unecessary?)
- release 0.2, xulrunner test application still doesn't work (it didn't
  worked in 1.8.x either)

Revision 1.49  2008/06/18 12:07:25  hawk
- merged 3.0 from DEVEL, updated tarball to official FIREFOX_3_0_RELEASE

Revision 1.48  2008/04/24 14:29:31  glen
- release 2 (1 for ac)

Revision 1.47  2008-04-21 09:24:33  hawk
- disabled mozilla-firefox-ac.config, -ENOTIME to update and need security
  rebuild, see TODO before complaining

Revision 1.46  2008-04-17 07:44:05  hawk
- xulrunner 1.8.1.14 tarball, fixes CVE-2008-1380, mozilla-firefox-ac.patch
  needs update (or maybe should be disabled like in mozilla-firefox.spec)
- release 0.1

Revision 1.45  2008-03-30 12:36:26  glen
- merge with AC-branch

Revision 1.44  2008-03-26 14:13:03  hawk
- updated to 1.8.1.13, fixes CVE-2008-1233, CVE-2008-1234,  CVE-2008-1235,
  CVE-2008-1236, CVE-2008-1237, CVE-2008-1238, CVE-2007-4879,
  CVE-2008-1195, CVE-2008-1240, CVE-2008-1241

Revision 1.43  2008-02-26 21:57:04  arekm
- rel .3; move idl files to correct location

Revision 1.42  2008-02-08 14:28:54  hawk
- updated md5

Revision 1.41  2008-02-08 14:23:07  hawk
- ooops! fixed snapshot date
- release 2 (1 was for Ac)

Revision 1.40  2008-02-08 08:45:25  hawk
- updated to 1.8.1.12 from FIREFOX_2_0_0_12_RELEASE branch
- fixes CVE-2008-0594, CVE-2008-0593, CVE-2008-0592, CVE-2008-0591,
  CVE-2008-0419, CVE-2008-0418, CVE-2008-0417, CVE-2008-0415,
  CVE-2008-0414, CVE-2008-0412

Revision 1.39  2007-12-01 18:56:38  hawk
- updated to 1.8.1.11 from FIREFOX_2_0_0_11_RELEASE branch

Revision 1.38  2007-11-27 12:57:16  hawk
- updated to 1.8.1.10 from FIREFOX_2_0_0_10_RELEASE branch, fixes
  CVE-2007-5947 CVE-2007-5959 CVE-2007-5960

Revision 1.37  2007-11-02 15:49:09  qboosh
- merged update to 1.8.1.9 from FIREFOX_2_0_0_9_RELEASE branch (from AC-branch, by hawk)

Revision 1.36  2007/10/22 15:37:50  megabajt
- updated to 1.8.1.8 from FIREFOX_2_0_0_8_RELEASE branch (from AC-branch by hawk)
- fixes CVE-2007-4841, CVE-2007-5338, CVE-2007-5337, CVE-2007-5334,
  CVE-2007-3511, CVE-2006-2894, CVE-2007-2292, CVE-2007-1095, CVE-2007-5339
  CVE-2007-5340

Revision 1.35  2007/09/21 21:09:08  megabajt
- updated to 1.8.1.7, snapshot from FIREFOX_2_0_0_7_RELEASE branch (from AC-branch by hawk)
- fixes CVE-2006-4965

Revision 1.34  2007/09/08 20:28:39  aflinta
- enabled spellchecker, rel 2

Revision 1.33  2007/07/31 18:35:27  hawk
- updated to 1.8.1.6, snapshot from FIREFOX_2_0_0_6_RELEASE branch
- fixes CVE-2007-3844, CVE-2007-3845

Revision 1.32  2007/07/23 19:06:46  qboosh
- CVE references

Revision 1.31  2007/07/18 16:01:26  hawk
- updated to 1.8.1.5
  [fixes CVE-2007-3089 CVE-2007-3656 CVE-2007-3734
  CVE-2007-3735 CVE-2007-3736 CVE-2007-3737 CVE-2007-3738]

Revision 1.30  2007/06/03 08:10:42  qboosh
- no need to _noautoreqdep sonames already eliminated by _noautoreq

Revision 1.29  2007/06/01 16:47:35  arekm
- drop gcc4 hack

Revision 1.28  2007/06/01 16:45:54  qboosh
- update to 1.8.1.4, snapshot from FIREFOX_2_0_0_4_RELEASE branch (from AC-branch, by hawk)
  fixes CVE-2007-1362 CVE-2007-2867 CVE-2007-2868 CVE-2007-2870 CVE-2007-2871

Revision 1.27  2007/05/19 20:33:24  qboosh
- one more gnome-only file

Revision 1.26  2007/04/24 19:17:22  qboosh
- no epoch here

Revision 1.25  2007/04/18 14:10:58  glen
- don't req libxul.so (we have strict inner dep)

Revision 1.24  2007/04/18 12:52:40  pluto
- xulrunner-plugin.pc fixed, release 5.

Revision 1.23  2007/04/02 16:12:13  baggins
- rel 4
- prov and req libxul.so (it's happens to be reqd by programs using this lib...)

Revision 1.22  2007/03/31 22:22:23  baggins
- rel 3
- s/heimdal/krb5/

Revision 1.21  2007/03/26 14:25:44  glen
- update nspr deps

Revision 1.20  2007/03/23 19:02:10  wrobell
- rel. 2

Revision 1.19  2007/03/23 18:44:34  wrobell
- added browser-plugins support (not tested yet)

Revision 1.18  2007/03/23 15:36:02  megabajt
- merged update to 1.8.1.3 from AC-branch (snapshot from FIREFOX_2_0_0_3_RELEASE branch)

Revision 1.17  2007/03/06 01:43:41  glen
- do not satisfy deps for xulrunner-devel

Revision 1.16  2007/02/26 10:22:16  arekm
- gcc 4.2 hack added

Revision 1.15  2007/02/25 13:11:06  glen
- AC-branch merge

Revision 1.14  2007/02/25 07:23:05  hawk
- merged version 1.8.1.2 from AC-branch

Revision 1.13  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.11  2007/01/07 18:35:15  glen
- AC-branch merge

Revision 1.7.2.20  2007/01/07 18:33:02  glen
- build extensions="default,cookie,permissions"; galeon, epiphany build and work

Revision 1.7.2.19  2007/01/07 15:32:43  glen
- rel 3

Revision 1.7.2.18  2007/01/07 14:13:46  glen
- remove options that are default

Revision 1.7.2.17  2007/01/07 13:28:27  glen
- cosmetics

Revision 1.7.2.16  2007/01/07 02:52:54  glen
- add rpath patch so wrappers no longer needed
- xulrunner-stub moved to -devel

Revision 1.7.2.15  2007/01/07 02:13:27  glen
- update to new mozconfig build style

Revision 1.7.2.14  2007/01/07 00:24:55  glen
- ensure we use system bz2

Revision 1.7.2.13  2007/01/06 23:59:37  glen
- never enable strip by mozilla, we do that by our own

Revision 1.7.2.12  2007/01/06 23:41:25  glen
- use make to install .pc files

Revision 1.10  2007/01/03 23:48:37  glen
- kickme: merged too much

Revision 1.9  2007/01/03 23:46:53  glen
- AC-branch merge

Revision 1.7.2.11  2007/01/03 23:44:44  glen
- fix *.pc files for amd64
- cleanups

Revision 1.7.2.10  2007/01/03 21:06:22  hawk
- updated to 1.8.1.1, snapshot checked out from Mozilla CVS from
  FIREFOX_2_0_0_1_RELEASE branch, dropped nsIPermission.patch and
  nsISidebar.patch - already in sources, dropped nss patch - no longer
  needed, updated install.patch, builds and seems to work (tested
  with Galeon and Epiphany)

Revision 1.7.2.9  2007/01/02 18:09:01  glen
- better xulrunner wrapper

Revision 1.8  2007/01/02 17:39:31  glen
- update from AC-branch

Revision 1.7.2.8  2007/01/02 17:14:26  glen
- missing dir for -libs

Revision 1.7.2.7  2007/01/02 16:48:55  glen
- updated deps and install section from mozilla-firefox.spec; rel 3

Revision 1.7.2.6  2007/01/02 10:29:54  glen
- update also deps for -devel package

Revision 1.7.2.5  2007/01/02 10:28:25  glen
- updated deps, fixed bconds
- fix amd64 paths, cleanups; rel 2

Revision 1.7.2.4  2007/01/01 21:37:04  hawk
- seems to work, release 1 for Ac

Revision 1.7.2.3  2007/01/01 17:57:17  hawk
- updated nsIPermission.patch and nsISidebar.patch, they're more complete now
- include *.manifest files in chrome dir, fixes galeon crashes

Revision 1.7.2.2  2006/12/29 21:50:00  hawk
- patches adding nsIPermission and nsISidebar to xulrunner, fixes
  compilation of some programs
- added simple startup script

Revision 1.7.2.1  2006/12/29 18:09:07  hawk
- reverted modular xorg deps for Ac

Revision 1.7  2006/06/27 10:35:36  qboosh
- updated to 1.8.0.4

Revision 1.6  2006/06/04 10:48:49  qboosh
- partial merge with mozilla-xulrunner.spec

Revision 1.5  2006/06/03 15:34:12  qboosh
- dropped ldconfig (no libs in system dirs)
- removed libxpcom.so from base (already in -libs)

Revision 1.4  2006/05/22 05:49:16  qboosh
- disable visibility pragma
- modular xorg deps

Revision 1.3  2006/05/16 15:37:09  hawk
- fixed URL

Revision 1.2  2006/05/15 19:57:46  hawk
- started packaging xulrunner, spec based on seamonkey.spec
- builds, not checked, not tested, must be heavily reviewed by some
  mozilla guru (is all required stuff packaged? is some unecessary stuff
  packaged? does it need some other patches? does it need some other
  configure/build options?)
